Email [Action required] Update your Shopify apps before April 1, 2020

Solved
MGroupGeoff
New Member
3 0 0

I have received an email that says:

 

One or more of your private apps have made deprecated API calls in the last 30 days. Support for these versions will be removed on April 1, 2020. Please update your apps listed below to API version 2019-07 or later to ensure they continue to function correctly.

Store: ***********
App: **********

I'm pretty sure that I'm not using the 'featured' property of the Collect class/object. Admittedly, my API calls use urls without the versioning part. Do I need to take any action?

 

I would greatly appreciate help on this matter. Thanks.

0 Likes
jenyim
Shopify Staff
Shopify Staff
4 1 0

This is an accepted solution.

Hi there! Thanks for reaching out! Even if you're not using the `featured` field, we ask that you update your Collects calls to API version 2019-07 or later so that Shopify knows you're not consuming this field in your app.

 

Let us know if there are any other questions we can help with.

0 Likes
MGroupGeoff
New Member
3 0 0

Thank you

0 Likes
mjshaven
Tourist
7 0 0

What if the app become unsupported, how to update it? If we update the API, can shopify detect it automatically? What should we do?

0 Likes